Skip to main content
PATCH
/
api
/
v1
/
cvms
/
{cvm_id}
/
compose_file
Trigger compose file update
curl --request PATCH \
  --url https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/compose_file \
  --header 'Content-Type: application/json' \
  --data '
{
  "compose_hash": "<string>",
  "encrypted_env": "<string>",
  "env_keys": [
    "<string>"
  ],
  "update_env_vars": false
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Path Parameters

cvm_id
string
required

Body

application/json
compose_hash
string
required

Hash from provision response

encrypted_env
string | null

New encrypted env blob (hex)

env_keys
string[] | null

Allowed env var names

update_env_vars
boolean | null
default:false

Update allowed_envs list

Response

Update initiated